uclibc-0.9.28 / sed-4.1.4 & uClibc-0.9.28, Memory Exhausted.

Robert Connolly robert at linuxfromscratch.org
Thu Sep 29 18:58:11 PDT 2005


uclibc-0.9.28 causes a bug in sed-4.1.4. uclibc.org's buildroot uses 
sed-4.1.2, which works. I'm not finding a patch, or the svn/cvs for 
sed-unstable.

robert

On September 29, 2005 09:43 pm, Robert Connolly wrote:
> I tried using the patch here:
> http://busybox.net/lists/uclibc/2005-September/012492.html
>
> It shouldn't be needed, but it works. But then in chapter 5's Gettext I get
> this:
>
> hlfs:/mnt/hlfs/sources/gettext-0.14.5$ ./configure --prefix=/tools
> --without-csharp     --disable-libasprintf
> sed: -e expression #1, char 39: Memory exhausted
> checking for a BSD-compatible install... /tools/bin/install -c
> checking whether build environment is sane... yes
> checking for gawk... gawk
> checking whether make sets $(MAKE)... yes
> checking build system type... sed: -e expression #1, char 6: Memory
> exhausted sed: -e expression #1, char 30: Memory exhausted
> Invalid configuration `i686-pc-linux-gnu': machine `i686-pc-linux' not
> recognized
> configure: error: /bin/sh build-aux/config.sub i686-pc-linux-gnu failed
> sed: -e expression #1, char 158: Memory exhausted
>
> $ echo foo | sed -e 's/foo/hi/g'
> hi
>
> sed seems to work. So, I have no idea.
>
> robert



More information about the hlfs-dev mailing list